Skip to content
Developer

Unified Categories

CRM9 EndpointsCRM / Unified Categories

Returns a list of unified categories

GET/api/crm/category/unified

Query parameters

idstringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
namestringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
parentstringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
categoryTypestringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
slugIdentifierstringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
viewOrderintegerRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
isUiFilterstringThis property is used to mark an entity as a filter for the frontend | Requires access right: PUBLIC, PUBLIC_LIST, SCOPE
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of unified categoriesarray<UnifiedCategory>

Show fields (32)
  • idinteger

    Primary key of the unified category. Internal ID.

  • category_typestring

    Type of the category, for example course or membership.

  • childrenarray<UnifiedCategory>

    Child categories.

  • parentUnifiedCategory

    Parent category.

  • view_orderinteger

    Sort order of the category in lists.

  • is_publicboolean

    The category is shown publicly.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • search_stringstring

    Text that the entity can be searched by.

  • short_identifierstring

    Short identifier of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • image_urlstring

    URL of the image of the entity.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/category/unified \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163",
    "address_country": "DE",
    "address_full_country": "DE",
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "image_url": "https://vynst.de"
  }
]

Add a new unified category

POST/api/crm/category/unified

Query parameters

create_access_tagboolean1: also create an access tag with the name of the category and link it (needs the write right on settings)

Request body application/json

  • dataUnifiedCategory11
    Show fields (21)
    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

Responses

200Add a new unified categoryUnifiedCategory

Show fields (32)
  • idinteger

    Primary key of the unified category. Internal ID.

  • category_typestring

    Type of the category, for example course or membership.

  • childrenarray<UnifiedCategory>

    Child categories.

  • parentUnifiedCategory

    Parent category.

  • view_orderinteger

    Sort order of the category in lists.

  • is_publicboolean

    The category is shown publicly.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • search_stringstring

    Text that the entity can be searched by.

  • short_identifierstring

    Short identifier of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • image_urlstring

    URL of the image of the entity.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/crm/category/unified \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163",
    "address_country": "DE",
    "address_full_country": "DE",
    "main_phone": "+49 511 123456"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163",
  "address_country": "DE",
  "address_full_country": "DE",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "image_url": "https://vynst.de"
}

Returns a list of public unified categories

GET/api/crm/public/category/unified

Query parameters

idstringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
namestringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
parentstringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
categoryTypestringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
slugIdentifierstringRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
viewOrderintegerRequires access right: PUBLIC, PUBLIC_LIST, SCOPE
isUiFilterstringThis property is used to mark an entity as a filter for the frontend | Requires access right: PUBLIC, PUBLIC_LIST, SCOPE
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of public unified categoriesarray<UnifiedCategory3>

Show fields (3)
  • idinteger

    Primary key of the unified category. Internal ID.

  • category_typestring

    Type of the category, for example course or membership.

  • namestring

    Name of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/public/category/unified \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "category_type": "string"
  }
]

Return a single public unified category with the given id

GET/api/crm/public/category/unified/{id}

Path parameters

idrequiredstring

Responses

200Return a single public unified category with the given idUnifiedCategory

Show fields (32)
  • idinteger

    Primary key of the unified category. Internal ID.

  • category_typestring

    Type of the category, for example course or membership.

  • childrenarray<UnifiedCategory>

    Child categories.

  • parentUnifiedCategory

    Parent category.

  • view_orderinteger

    Sort order of the category in lists.

  • is_publicboolean

    The category is shown publicly.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • search_stringstring

    Text that the entity can be searched by.

  • short_identifierstring

    Short identifier of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • image_urlstring

    URL of the image of the entity.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/public/category/unified/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163",
  "address_country": "DE",
  "address_full_country": "DE",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "image_url": "https://vynst.de"
}

Return a single unified category with the given id

GET/api/crm/category/unified/{id}

Path parameters

idrequiredstring

Responses

200Return a single unified category with the given idUnifiedCategory

Show fields (32)
  • idinteger

    Primary key of the unified category. Internal ID.

  • category_typestring

    Type of the category, for example course or membership.

  • childrenarray<UnifiedCategory>

    Child categories.

  • parentUnifiedCategory

    Parent category.

  • view_orderinteger

    Sort order of the category in lists.

  • is_publicboolean

    The category is shown publicly.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • search_stringstring

    Text that the entity can be searched by.

  • short_identifierstring

    Short identifier of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • image_urlstring

    URL of the image of the entity.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/category/unified/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163",
  "address_country": "DE",
  "address_full_country": "DE",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "image_url": "https://vynst.de"
}

Update a single unified category with the given id

PUT/api/crm/category/unified/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataUnifiedCategory11
    Show fields (21)
    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

Responses

200Update a single unified category with the given idUnifiedCategory

Show fields (32)
  • idinteger

    Primary key of the unified category. Internal ID.

  • category_typestring

    Type of the category, for example course or membership.

  • childrenarray<UnifiedCategory>

    Child categories.

  • parentUnifiedCategory

    Parent category.

  • view_orderinteger

    Sort order of the category in lists.

  • is_publicboolean

    The category is shown publicly.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • search_stringstring

    Text that the entity can be searched by.

  • short_identifierstring

    Short identifier of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • image_urlstring

    URL of the image of the entity.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/category/unified/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163",
    "address_country": "DE",
    "address_full_country": "DE",
    "main_phone": "+49 511 123456"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163",
  "address_country": "DE",
  "address_full_country": "DE",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "image_url": "https://vynst.de"
}

Update a single unified category with the given id

PATCH/api/crm/category/unified/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataUnifiedCategory11
    Show fields (21)
    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

Responses

200Update a single unified category with the given idUnifiedCategory

Show fields (32)
  • idinteger

    Primary key of the unified category. Internal ID.

  • category_typestring

    Type of the category, for example course or membership.

  • childrenarray<UnifiedCategory>

    Child categories.

  • parentUnifiedCategory

    Parent category.

  • view_orderinteger

    Sort order of the category in lists.

  • is_publicboolean

    The category is shown publicly.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • addressstring

    Address as text.

  • address_streetstring

    Street of the address.

  • address_house_numberstring

    House number of the address.

  • address_street_levelstring

    Street and house number of the address.

  • address_costring

    Care-of line of the address.

  • address_citystring

    City of the address.

  • address_zipstring

    Postal code of the address.

  • address_admin_level1string

    First administrative level of the address, e.g. the federal state.

  • address_countrystring

    Country code of the address.

  • address_full_countrystring

    Full name of the country of the address.

  • address_geo_latstring

    Latitude of the address.

  • address_geo_lngstring

    Longitude of the address.

  • address_external_provider_idstring

    field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

  • main_phonestring

    Main phone number.

  • main_faxstring

    Main fax number.

  • main_emailstring

    Main e-mail address.

  • websitestring

    Website address.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • search_stringstring

    Text that the entity can be searched by.

  • short_identifierstring

    Short identifier of the entity.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • image_urlstring

    URL of the image of the entity.

  • is_ui_filterboolean

    This property is used to mark an entity as a filter for the frontend

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/crm/category/unified/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163",
    "address_country": "DE",
    "address_full_country": "DE",
    "main_phone": "+49 511 123456"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "address_street": "Jakobistr. 39",
  "address_city": "Hannover",
  "address_zip": "30163",
  "address_country": "DE",
  "address_full_country": "DE",
  "main_phone": "+49 511 123456",
  "main_email": "lena.hartmann@example.org",
  "image_url": "https://vynst.de"
}

Return a single unified category extension with the given unified category id

GET/api/crm/unified_category_extended/{id}

Path parameters

idrequiredstring

Responses

200Return a single unified category extension with the given unified category idUnifiedCategoryExtension

Show fields (4)
  • idinteger

    Primary key of the category extension. Internal ID.

  • unified_categoryUnifiedCategory

    Category the extension belongs to.

    Show fields (32)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory>

      Child categories.

    • parentUnifiedCategory

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • trainer_person_list_accessboolean

    Trainers can see the person list of the category.

  • trainer_can_post_socialboolean

    Trainers can post in the social feed of the category.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/crm/unified_category_extended/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "unified_category": {
    "id": 42,
    "name": "Beispiel",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163",
    "address_country": "DE",
    "address_full_country": "DE",
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "image_url": "https://vynst.de"
  },
  "trainer_person_list_access": true,
  "trainer_can_post_social": true
}

Update a single unified category extension with the given unified category id

PUT/api/crm/unified_category_extended/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataUnifiedCategoryExtension2

Responses

200Update a single unified category extension with the given unified category idUnifiedCategoryExtension

Show fields (4)
  • idinteger

    Primary key of the category extension. Internal ID.

  • unified_categoryUnifiedCategory

    Category the extension belongs to.

    Show fields (32)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory>

      Child categories.

    • parentUnifiedCategory

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • trainer_person_list_accessboolean

    Trainers can see the person list of the category.

  • trainer_can_post_socialboolean

    Trainers can post in the social feed of the category.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/crm/unified_category_extended/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '{}'
Response 200 application/json
{
  "id": 42,
  "unified_category": {
    "id": 42,
    "name": "Beispiel",
    "address_street": "Jakobistr. 39",
    "address_city": "Hannover",
    "address_zip": "30163",
    "address_country": "DE",
    "address_full_country": "DE",
    "main_phone": "+49 511 123456",
    "main_email": "lena.hartmann@example.org",
    "image_url": "https://vynst.de"
  },
  "trainer_person_list_access": true,
  "trainer_can_post_social": true
}